sigs.k8s.io/cluster-api/bootstrap/kubeadm@v0.0.0-20191016155141-23a891785b60/hack/verify-deps.sh (about)

     1  #!/usr/bin/env bash
     2  # Copyright 2019 The Kubernetes Authors.
     3  #
     4  # Licensed under the Apache License, Version 2.0 (the "License");
     5  # you may not use this file except in compliance with the License.
     6  # You may obtain a copy of the License at
     7  #
     8  #     http://www.apache.org/licenses/LICENSE-2.0
     9  #
    10  # Unless required by applicable law or agreed to in writing, software
    11  # distributed under the License is distributed on an "AS IS" BASIS,
    12  # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    13  # See the License for the specific language governing permissions and
    14  # limitations under the License.
    15  
    16  set -o nounset
    17  set -o pipefail
    18  
    19  # shellcheck source=/dev/null
    20  source "$(dirname "$0")/utils.sh"
    21  # cd to the root path
    22  cd_root_path
    23  
    24  # cleanup on exit
    25  cleanup() {
    26    echo "Cleaning up..."
    27    mv go.mod.old go.mod
    28    mv go.sum.old go.sum
    29  }
    30  trap cleanup EXIT
    31  
    32  echo "Verifying..."
    33  # temporary copy the go mod and sum files
    34  cp go.mod go.mod.old || exit
    35  cp go.sum go.sum.old || exit
    36  
    37  # run update-deps.sh
    38  ./hack/update-deps.sh
    39  
    40  # compare the old and new files
    41  DIFF0=$(diff -u go.mod go.mod.old)
    42  DIFF1=$(diff -u go.sum go.sum.old)
    43  
    44  if [[ -n "${DIFF0}" ]] || [[ -n "${DIFF1}" ]]; then
    45    echo "${DIFF0}"
    46    echo "${DIFF1}"
    47    echo "Check failed. Please run ./hack/update-deps.sh"
    48    exit 1
    49  fi